label: Configuration
form:
  properties:
    title:
      label: Title
      $type: textField
      i18n: true
    paragraph:
      $type: textField
      label: Paragraph
      rows: 5
      i18n: true
      maxLength: 300
    link:
      $type: compositeField
      i18n: true
      label: Compo Field
      layout:
        $type: horizontal
      itemProvider:
        $type: currentItemProvider
      properties:
        singleTextValue:
          $type: textField
          defaultValue: Test
          label: Single Text
        defaultSelfValue:
          $type: comboBoxField
          defaultValue: _self
          datasource:
            $type: optionListDatasource
            options:
              - name: _self
                label: _self
                value: _self
              - name: _blank
                label: _blank
                value: _blank
              - name: _parent
                label: _parent
                value: _parent
              - name: _top
                label: _top
                value: _top
          label: Link target
          required: true
light: false
